Subject: RE: [External] : bug#70213: Info-mode side window fit-window-to-buffer issue

From: Drew Adams <[email-masked]>
Date: Sat, 6 Apr 2024 01:55:18 +0000

> more would need to be done for
> fit-window-to-buffer to be a meaningful value
> in display-buffer-alist, since navigating between 
> info nodes doesn't cause the window to resize.

(Caveat: I'm not following this thread.)

In case it helps, in info+.el I fit the
frame to the Info buffer when user option
`Info-fit-frame-flag' is non-nil and the
frame has only the Info window.

I do that in my versions of `Info-search'
and `Info-find-node-2'.  That's all that's
needed.

Likely the same two places would suffice
for what you're doing.  (But again, I'm
not following the thread - just guessing
what you're doing.)

(Dunno why something as general as
`display-buffer-alist' would need to be
involved, just to resize Info nodes.)

Hopefully you too will make the behavior
conditional on a user option.

HTH.